# 4xslt

> 4XSLT Command line application.

    4xslt[--help] [--version] [--validate] [--ignore] [--define=<definition>]
         [--includepath=<baseUri>] [--outfile=<fileName>] [--stacktrace-on-error]
         [--noxinclude] [--trace] [--trace-file=<trace-file>] [--debug] source-uri
         [stylesheet-uri]...

Option Summary
-h | show detailed help message
--help
-V | Display current version.
--version
-v | Validate the input file as it is being parsed.
--validate
-i | Ignore stylesheet processing instructions in the input file.
--ignore
-D<definition> | Bind a top-level parameter, overriding any binding in the stylesheet. A definition is in the form of name=value
--define=<definition>
-I<baseUri> | Set a base URI where stylesheet import and include will search
--includepath=<baseUri>
-o<fileName> | Specify a filename for the output. This file will be overwritten if present.
--outfile=<fileName>
-e | Display a stack trace trace when an error occurs.
--stacktrace-on-error
--noxinclude | Do no expansions of XInclusions in source documents or stylesheets.
--trace | Output information tracing the progress the processing as it occurs. Output will be sent to standard output by default.
--trace-file=<trace-file> | Specify output file fof execution trace output..
-d | Execute 4xslt in the command line debugger.
--debug

Argument Summary
source-uri | The URI of the source XML document. Note: if you use "-" as the nameof the source document, the source will instead be read from standard input.
stylesheet-uri | The URI(s) of the stylesheets to apply to the source XML.